streamDAGs <- function(graph = c("dc_piezo_full", "dc_full", "gj_full16", "gj_synoptic_2023", "gj_full", 
                                  "jd_piezo_full","jd_full", "konza_full", "KD0521", "KD0528", "KD0604",
                                  "mur_full", "td_full", "wh_full", "pr_full")) 
{
    
  if (graph == "dc_piezo_full") {
    out <- graph_from_literal("DC10" --+ "C1",
                              "DC11" --+ "DPZ07" --+ "C1" --+ "DPZ06" --+ "DC12" --+ "C2",
                              "DC13" --+ "C2" --+ "DC15" --+ "C3",
                              "DC14" --+ "C3" --+ "DC16" --+ "DPZ05" --+ "C4",
                              "DC17" --+ "C5",
                              "DC18" --+ "C5" --+ "C4" --+ "DC19" --+ "C6",
                              "DC20" --+ "C6" --+ "DC4" --+ "C7",
                              "DC1" --+ "DC2" --+ "DC3" --+ "C7" --+ "DC5" --+ "DPZ02" --+ "C8",
                              "DPZ04" --+"DPZ03" --+ "DC9" --+ "C9",
                              "DC8" --+ "C9" --+ "DC7" --+ "C8" --+ "DC6" --+ "DPZ01")
     }
  
  
  else if (graph == "dc_full") {
    out <- graph_from_literal("DC10" --+ "C1",
                              "DC11" --+ "C1" --+ "DC12" --+ "C2",
                              "DC13" --+ "C2" --+ "DC15" --+ "C3",
                              "DC14" --+ "C3" --+ "DC16" --+ "C4",
                              "DC17" --+ "C5",
                              "DC18" --+ "C5" --+ "C4" --+ "DC19" --+ "C6",
                              "DC20" --+ "C6" --+ "DC4" --+ "C7",
                              "DC1" --+ "DC2" --+ "DC3" --+ "C7" --+ "DC5" --+ "C8",
                              "DC9" --+ "C9",
                              "DC8" --+ "C9" --+ "DC7" --+ "C8" --+ "DC6")
  }
  else if (graph == "gj_full16") {
    out <- graph_from_literal("GJ_ST1_0600" --+ "GJ_ST1_0400" --+ "GJ_ST1_0200" --+ "GJ_ST1_0000" --+ "GJ_SF_2000", 
                              "GJ_SF_2800" --+ "GJ_SF_2600" --+ "GJ_SF_2400" --+ "GJ_SF_2200" --+ "GJ_SF_2000" --+ "GJ_SF_1800" --+"GJ_SF_1600" - -+"GJ_SF_1400" --+"GJ_SF_1200" --+ "GJ_SF_1000" --+ "GJ_SF_0800" --+ "GJ_SF_0600"  --+"GJ_SF_0400" --+"GJ_SF_0200" --+ "GJ_SF_0000" --+"GJ_MS_3000", "GJ_NT1_WF_FH" - -+"GJ_NT1_WF_000" --+"GJ_NT1_0800" --+"GJ_NT1_0600" --+"GJ_NT1_0400" --+"GJ_NT1_0200" --+"GJ_NT1_0000" --+"GJ_NF_1060_CD", 
                              "GJ_NT2_1600" --+"GJ_NT2_1400" --+"GJ_NT2_1200" --+"GJ_NT2_1000" --+"GJ_NT2_0800" --+"GJ_NT2_0600" --+"GJ_NT2_0400" --+"GJ_NT2_0200" --+"GJ_NT2_0000" --+"GJ_NF_2400_CD", 
                              "GJ_NT3_0200" --+"GJ_NT3_0000" --+"GJ_NF_2800_CD", 
                              "GJ_NT4_0600" --+"GJ_NT4_0400" --+"GJ_NT4_0200" --+"GJ_NT4_0000" --+"GJ_NF_3000_CD", 
                              "GJ_NF_3800" --+"GJ_NF_3750" --+"GJ_NF_3600" --+"GJ_NF_3400" --+"GJ_NF_3200" --+"GJ_NF_3000_CU" --+"GJ_NF_3000_CD" 
                              --+"GJ_NF_2800_CU" --+"GJ_NF_2800_CD" --+"GJ_NF_2600" --+"GJ_NF_2400_CU" --+"GJ_NF_2400_CD" --+"GJ_NF_2200" --+"GJ_NF_2000" --+"GJ_NF_1800" --+"GJ_NF_1600" --+"GJ_NF_1400" --+"GJ_NF_1200" --+"GJ_NF_1060_CU" --+"GJ_NF_1060_CD" --+"GJ_NF_1000" --+"GJ_NF_0800" 
                              --+"GJ_NF_0600" --+"GJ_NF_0400" --+"GJ_NF_0200" --+"GJ_NF_0000" --+"GJ_MS_3000", 
                              "GJ_MT2_0900" --+"GJ_MT2_0800" --+"GJ_MT2_0600" --+ "GJ_MT2_0400" --+"GJ_MT2_0200" --+"GJ_MT2_0"--+" GJ_MS_2200", "GJ_MT1_1650" - -+"GJ_MT1_1600" --+"GJ_MT1_1550" --+"GJ_MT1_1500" --+"GJ_MT1_1450" --+"GJ_MT1_1400" --+"GJ_MT1_1350" --+"GJ_MT1_1300" --+"GJ_MT1_1250" 
                              --+"GJ_MT1_1200" --+"GJ_MT1_1150" --+"GJ_MT1_1100" --+"GJ_MT1_1050" --+"GJ_MT1_1000" --+"GJ_MT1_0950" --+"GJ_MT1_0900" 
                              --+"GJ_MT1_0850" --+"GJ_MT1_0800" --+"GJ_MT1_0750" --+"GJ_MT1_0700" --+"GJ_MT1_0650" --+"GJ_MT1_0600" --+"GJ_MT1_0550" 
                              --+"GJ_MT1_0500" --+"GJ_MT1_0450" --+"GJ_MT1_0400" --+"GJ_MT1_0350" --+"GJ_MT1_0300" --+"GJ_MT1_0250" --+"GJ_MT1_0200" 
                              --+"GJ_MT1_0150" - -+"GJ_MT1_0100" --+"GJ_MT1_0050" --+"GJ_MT1_0000" --+"GJ_MS_1800_CD", 
                              "GJ_MS_3000" --+"GJ_MS_2800" --+"GJ_MS_2600" --+"GJ_MS_2400" --+"GJ_MS_2200" --+"GJ_MS_2000" --+"GJ_MS_1800_CU" --+"GJ_MS_1800_CD" --+"GJ_MS_1600" --+"GJ_MS_1400" --+"GJ_MS_1200" --+"GJ_MS_1000" --+"GJ_MS_0800" --+"GJ_MS_0600" --+"GJ_MS_0400" --+"GJ_MS_0200" --+"GJ_MS_0000")
  }
  
  else if (graph == "gj_full") {  
  out <- graph_from_literal("GJ16" --+ "GJ15" --+ "GJ14" --+ "C2" --+ "C3" --+ "C4" --+ "GJ11",
                              "GJ13" --+ "C2",
                              "GJ12" --+ "C3",
                              "GJ20" --+ "GJ18" --+ "GJ17" --+ "C4" --+ "GJ11" --+ "C5",
                              "GJ10" --+ "GJ9" --+ "C5" --+ "C6",
                              "GJ23" --+ "GJ22" --+ "C1" --+ "C6" --+ "C7",
                              "GJ24" --+ "GJ21" --+ "C1",
                              "GJ8" --+ "GJ7" --+ "C7" --+ "GJ3" --+ "C8",
                              "GJ6" --+ "GJ5" --+ "GJ4" --+ "C8")
  }

else if (graph == "gj_synoptic_2023") {  
  out <- graph_from_literal("GJ20"--+"GJ74"--+"GJ73"--+"GJ19"--+"GJ72"--+"GJ71"--+"GJ18"--+"GJ17"--+"GJ70"--+"GJ64","GJ16"--+"GJ15"--+"GJ69"--+"GJ14"--+"P8"--+"GPZ07","GJ68"--+"GJ66","GJ67"--+"GJ13"--+"GJ66"--+"GJ65","GJ12"--+"GJ65"--+"GJ64"--+"GJ11"--+"GJ63"--+"GJ55","GJ62"--+"GJ61"--+"GJ60"--+"GJ59"--+"GJ58"--+"GJ10"--+"GJ9"--+"GJ57"--+"GJ56"--+"GJ55"--+"GJ54"--+"GJ53"--+"GJ52"--+"GJ51","GJ23"--+"GJ22"--+"GJ79"--+"GJ21","GJ25"--+"GJ24"--+"GJ21"--+"GJ78"--+"GPZ06"--+"GJ77"--+"GJ76"--+"GJ75"--+"GJ51"--+"GJ50"--+"GJ3"--+"GJ42"--+"GJ2"--+"GJ1","GJ41"--+"GJ40"--+"GJ39"--+"GJ37"--+"GJ36","GJ6"--+"GJ38"--+"GJ5"--+"GJ36"--+"GPZ05"--+"GJ4"--+"GJ35"--+"GJ34"--+"GPZ04"--+"GJ33"--+"GJ32"--+"GJ31"--+"GPZ03"--+"GPZ02"--+"GJ30"--+"GJ1"--+"GSS01")
}

  else if (graph == "jd_piezo_full") {
    out <- graph_from_literal("JPZ07" --+"JD5" --+"JPZ06" --+"JD6" --+"JD7" --+"JPZ05" --+"C1", "JD10" --+"JD9" --+"JD8" --+"C1" --+"JD11" --+ "JD12" --+"JD13" --+"C2" --+"JD16" --+"JPZ03" --+"JD17" --+"JD18" --+"JD19" --+"JD20" --+"JD4" --+"JD3" --+"JPZ02" --+"JD2" --+"JD1" --+"JPZ01", "JD15" --+"JPZ04" --+"JD14" --+"C2")
  }
  
  else if (graph == "jd_full") {
    out <- graph_from_literal("JD5" --+"JD6" --+"JD7" --+"C1", "JD10" --+"JD9" --+"JD8" --+"C1" --+"JD11" --+ "JD12" --+"JD13" --+"C2" --+"JD16" --+"JD17" --+"JD18" --+"JD19" --+"JD20" --+"JD4" --+"JD3" --+"JD2" --+"JD1", "JD15" --+"JD14" --+"C2")
  }
  
  
  else if (graph == "konza_full") {
    out <- graph_from_literal("04M13_1" - -+"04M12_1", "04M12_1" - 
                                -+"04M11_1", "04M11_1" - -+"04M10_1", "04M10_1" - 
                                -+"04M09_1", "04M09_1" - -+"04M08_1", "04T02_2" - 
                                -+"04M08_1", "04M08_1" - -+"04M07_1", "04M07_1" - 
                                -+"04M06_1", "04T01_1" - -+"04M06_1", "04M06_1" - 
                                -+"04M05_1", "04M05_1" - -+"04M04_1", "04M04_1" - 
                                -+"04M03_1", "04M03_1" - -+"04M02_1", "04M02_1" - 
                                -+"04M01_1", "04M01_1" - -+"SFM02_1", "04W04_2" - 
                                -+"04W02_2", "04W02_2" - -+"04W01_1", "04W01_1" - 
                                -+"04M01_1", "02M11_1" - -+"02M10_1", "02M10_1" - 
                                -+"02M09_1", "02M09_1" - -+"02M08_1", "02M08_1" - 
                                -+"02M07_1", "02M07_1" - -+"02M06_1", "02M06_1" - 
                                -+"02M05_1", "02M05_1" - -+"02M04_1", "02M04_1" - 
                                -+"02M03_1", "02M03_1" - -+"02M02_1", "02M02_1" - 
                                -+"02M01_2", "02M01_2" - -+"SFM01_1", "20M05_1" - 
                                -+"20M04_1", "20M04_1" - -+"20M02_1", "20M02_1" - 
                                -+"20M01_1", "20M01_1" - -+"SFM07_1", "01M06_1" - 
                                -+"01M05_1", "01M05_1" - -+"01M04_2", "01M04_2" - 
                                -+"01M03_1", "01M03_1" - -+"01M02_1", "01M02_1" - 
                                -+"SFM07_1", "SFM07_1" - -+"SFM05_1", "SFT02_1" - 
                                -+"SFM05_1", "SFM05_1" - -+"SFM04_1", "SFM04_1" - 
                                -+"SFM03_2", "SFT01_1" - -+"SFM03_2", "SFM03_2" - 
                                -+"SFM02_1", "SFM02_1" - -+"SFM01_1")
  }
  else if (graph == "KD0521") {
    out <- graph_from_literal("04M13_1", "04M12_1", "04M12_1", 
                              "04M11_1", "04M11_1", "04M10_1", "04M10_1", "04M09_1", 
                              "04M09_1", "04M08_1", "04T02_2", "04M08_1", "04M08_1", 
                              "04M07_1", "04M07_1", "04M06_1", "04T01_1", "04M06_1", 
                              "04M06_1", "04M05_1", "04M05_1", "04M04_1", "04M04_1", 
                              "04M03_1", "04M03_1", "04M02_1", "04M02_1", "04M01_1", 
                              "04M01_1" --+"SFM02_1", "04W04_2" --+"04W02_2", 
                              "04W02_2", "04W01_1", "04W01_1", "04M01_1", "02M11_1" --+"02M10_1", "02M10_1", "02M09_1", "02M09_1", 
                              "02M08_1", "02M08_1" --+"02M07_1", "02M07_1" --+"02M06_1", "02M06_1" - -+"02M05_1", "02M05_1" --+"02M04_1", "02M04_1" --+"02M03_1", "02M03_1" --+"02M02_1", "02M02_1" --+"02M01_2", "02M01_2" --+"SFM01_1", "20M05_1", "20M04_1", "20M04_1" --+"20M02_1", "20M02_1" --+"20M01_1", "20M01_1","SFM07_1", "01M06_1", "01M05_1", "01M05_1" - -+"01M04_2","01M04_2" --+"01M03_1", "01M03_1" --+"01M02_1", "01M02_1", "SFM07_1", "SFM07_1", "SFM05_1", "SFT02_1", "SFM05_1", "SFM05_1", "SFM04_1", "SFM04_1", "SFM03_2", 
                              "SFT01_1", "SFM03_2", "SFM03_2" --+"SFM02_1", "SFM02_1"--+"SFM01_1")
  }
  else if (graph == "KD0528") {
    out <- graph_from_literal("04M13_1", "04M12_1", "04M12_1" - 
                                -+"04M11_1", "04M11_1" - -+"04M10_1", "04M10_1" - 
                                -+"04M09_1", "04M09_1" - -+"04M08_1", "04T02_2" - 
                                -+"04M08_1", "04M08_1" - -+"04M07_1", "04M07_1" - 
                                -+"04M06_1", "04T01_1" - -+"04M06_1", "04M06_1" - 
                                -+"04M05_1", "04M05_1" - -+"04M04_1", "04M04_1" - 
                                -+"04M03_1", "04M03_1" - -+"04M02_1", "04M02_1" - 
                                -+"04M01_1", "04M01_1" - -+"SFM02_1", "04W04_2" - 
                                -+"04W02_2", "04W02_2" - -+"04W01_1", "04W01_1" - 
                                -+"04M01_1", "02M11_1" - -+"02M10_1", "02M10_1" - 
                                -+"02M09_1", "02M09_1" - -+"02M08_1", "02M08_1" - 
                                -+"02M07_1", "02M07_1" - -+"02M06_1", "02M06_1" - 
                                -+"02M05_1", "02M05_1" - -+"02M04_1", "02M04_1" - 
                                -+"02M03_1", "02M03_1" - -+"02M02_1", "02M02_1" - 
                                -+"02M01_2", "02M01_2" - -+"SFM01_1", "20M05_1" - 
                                -+"20M04_1", "20M04_1" - -+"20M02_1", "20M02_1" - 
                                -+"20M01_1", "20M01_1" - -+"SFM07_1", "01M06_1" - 
                                -+"01M05_1", "01M05_1" - -+"01M04_2", "01M04_2" - 
                                -+"01M03_1", "01M03_1" - -+"01M02_1", "01M02_1" - 
                                -+"SFM07_1", "SFM07_1" - -+"SFM05_1", "SFT02_1" - 
                                -+"SFM05_1", "SFM05_1" - -+"SFM04_1", "SFM04_1" - 
                                -+"SFM03_2", "SFT01_1" - -+"SFM03_2", "SFM03_2" - 
                                -+"SFM02_1", "SFM02_1" - -+"SFM01_1")
  }
  else if (graph == "KD0604") {
    out <- graph_from_literal("04M13_1", "04M12_1", "04M12_1" - 
                                -+"04M11_1", "04M11_1" - -+"04M10_1", "04M10_1" - 
                                -+"04M09_1", "04M09_1" - -+"04M08_1", "04T02_2" - 
                                -+"04M08_1", "04M08_1" - -+"04M07_1", "04M07_1" - 
                                -+"04M06_1", "04T01_1" - -+"04M06_1", "04M06_1" - 
                                -+"04M05_1", "04M05_1" - -+"04M04_1", "04M04_1" - 
                                -+"04M03_1", "04M03_1" - -+"04M02_1", "04M02_1" - 
                                -+"04M01_1", "04M01_1" - -+"SFM02_1", "04W04_2" - 
                                -+"04W02_2", "04W02_2" - -+"04W01_1", "04W01_1" - 
                                -+"04M01_1", "02M11_1" - -+"02M10_1", "02M10_1" - 
                                -+"02M09_1", "02M09_1" - -+"02M08_1", "02M08_1" - 
                                -+"02M07_1", "02M07_1" - -+"02M06_1", "02M06_1" - 
                                -+"02M05_1", "02M05_1" - -+"02M04_1", "02M04_1" - 
                                -+"02M03_1", "02M03_1" - -+"02M02_1", "02M02_1" - 
                                -+"02M01_2", "02M01_2" - -+"SFM01_1", "20M05_1" - 
                                -+"20M04_1", "20M04_1" - -+"20M02_1", "20M02_1", 
                              "20M01_1", "20M01_1", "SFM07_1", "01M06_1" - -+"01M05_1", 
                              "01M05_1" - -+"01M04_2", "01M04_2" - -+"01M03_1", 
                              "01M03_1" - -+"01M02_1", "01M02_1" - -+"SFM07_1", 
                              "SFM07_1" - -+"SFM05_1", "SFT02_1" - -+"SFM05_1", 
                              "SFM05_1" - -+"SFM04_1", "SFM04_1" - -+"SFM03_2", 
                              "SFT01_1" - -+"SFM03_2", "SFM03_2" - -+"SFM02_1", 
                              "SFM02_1" - -+"SFM01_1")
  }
  
else if (graph == "mur_full") {
    out <- graph_from_literal("IN_N" - -+"M1984" - -+"M1909", 
                              "IN_S" - -+"M1993", "M1993" - -+"M1951" - -+"M1909" - 
                                -+"M1799" - -+"M1719" - -+"M1653" - -+"M1572" - 
                                -+"M1452", "M1452" - -+"M1377" - -+"M1254" - 
                                -+"M1166" - -+"M1121" - -+"M1036" - -+"M918" - 
                                -+"M823", "M823" - -+"M759" - -+"M716" - -+"M624" - 
                                -+"M523" - -+"M454" - -+"M380" - -+"M233" - 
                                -+"M153", "M153" - -+"M91" - -+"OUT")
  }
  
 
  else if (graph == "pr_full") {
    out <- graph_from_literal("PRM23" --+"PRM22" --+"PRM21" --+"PRM20" --+"PRM19" --+"PRM18" --+"PRM17" --+"PRM16" --+"PRM15" --+"PRM14" - -+"PRM13" --+"PRM12" --+"PRM11" --+"PRM10" --+"PRM09" --+"PRM08" --+"PRM07" --+"PRM06" --+"PRM05" --+"PRM04" --+"PRM03" --+"PRM02" --+"PRM01", "PRB03" --+"PRB02" --+"PRB01" --+"PRM09", "PRA02" --+"PRA01" --+"PRM16")
  }

  else if (graph == "td_full") {
    out <- graph_from_literal("TLM22" --+"TLM21" --+ "TLM20" --+"TLM19" --+"TLM18" --+"TLM17" --+"TLMG5" --+"TLM16" --+"TLM15" --+"TLM14" --+"TLM13" --+"TLM12" --+"TLM10" --+"TLM11" --+"TLM09" --+"TLM08" --+"TLM07" --+"TLM06" --+"TLM05" --+"TLM04" --+"TLMG3" --+"TLM03" --+"TLM02" --+"TLM01", "TLC07" --+"TLC06" --+"TLC05" --+"TLC02", "TLC04" --+"TLC03" --+"TLC02" --+"TLCG2" --+"TLCG1" --+"TLC01" --+"TLM02", "TLB05" --+"TLB02",     "TLB04" --+"TLB03" --+"TLB02" --+"TLB01" --+"TLM06", "TLZ03" --+"TLZ01", "TLZ02" --+"TLZ01" --+"TLM11", "TLA08" --+"TLA07" --+"TLA04", "TLA06" --+"TLA05" --+"TLA04" --+"TLAG4" --+"TLA03" --+"TLA02" --+"TLA01" --+"TLM15", "TLY03" --+"TLY01", "TLY02" --+"TLY01" --+"TLM18", "TLX03" --+"TLX01", "TLX02" --+"TLX01" --+"TLM19")
  }
  else if (graph == "wh_full") {
    out <- graph_from_literal("WHM14" --+"WHM13" --+"WHM12" --+"WHM11" --+"WHM10" --+"WHM09" --+"WHM08" --+"WHM07" - -+"WHM06" --+"WHM05" - -+"WHM04" --+"WHM03" --+"WHM02" --+"WHM01", "WHA06" --+"WHA05" --+"WHA04" --+"WHA03" --+"WHA02" --+"WHA01" --+"WHM02", "WHB07" --+"WHB06" - -+"WHB05" --+"WHB04" --+"WHB03" --+"WHB02" --+"WHB01" --+"WHM02")
  }
  out
}



